/*------------------------------------------------------------------------------------- 
Theme Name:		 Datrix Child Theme
Theme URI:		 https://gramentheme.com/wp/datrix
Description:	 Datrix is a IT Solutions & Business WordPress Theme.
Author:			 Gramentheme
Author URI:		 https://themeforest.net/user/gramentheme
Template:		 datrix
Version:		 1.0.0
Text Domain:	 datrix-child-theme
-------------------------------------------------------------------------------------*/
/*
    Please Add your custom styles here
*/



.container {
    max-width: 1400px !important;
	padding:0 15px !important;
}
.theme-btn {
    background: linear-gradient(90deg, #b4965b 0%, #003f2b 100%) !important;
}
.home-slider{
	margin-top:0 !important;
}
.project-image .wp-caption {
	position:relative;
}
.project-image .wp-caption .widget-image-caption{
	position: absolute;
    bottom: 20px;
    left: 32px;
}
.partners-silder .swiper-slide .swiper-slide-inner img{
	    width: 170px;
    height: 80px;
	object-fit:contain;
}
.breadcrumb-section {
    position: relative;
    z-index: 9;

    &::before {
        @include before;
        background: linear-gradient(270.07deg, #000000 0.07%, #000000 99.95%);
        z-index: -1;
        opacity: .5;
    }
}
.custom-table .adte_table  {
	    border-radius: 10px;
    overflow: hidden;
}
.custom-table .adte_table_wrapper {
	border: 1px solid #E4E4E4;
	border-radius: 10px;
}
/********************** Header  **********************/
li.menu-item-has-children::after {
    position: absolute;
    content: '';
    top: 52%;
    transform: translateY(-50%) rotate(180deg);
    right: -18px;
    width: 12px;
    height: 12px;
    background-image: url(http://pulsepxl.com/wp-content/uploads/2025/07/arrow-up.svg);
    z-index: 111111;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 20px;
    transition: 0.3s;
}
li.menu-item-has-children:hover::after{
    transform: translateY(-50%) rotate(0deg);
}
.sub-menu li.menu-item-has-children::after {
    transform: translateY(-50%) rotate(90deg);
    right: 10px;
}
.sub-menu li.menu-item-has-children:hover::after {
    transform: translateY(-50%) rotate(-90deg);
}
.header-main .header-logo-2 img{
	    width: 130px !important;
}
.header-main .header-logo img{
	    width: 130px !important;
}
.offcanvas__content .offcanvas__logo .site-logo img{
	max-width:120px !important;
}
.offcanvas__content .offcanvas__top  {
	margin-bottom: 15px !important;
}
/********************** footer  **********************/
.single-footer-widget .widget-head img{
	max-width:190px;
}
.footer-widgets-wrapper .single-footer-widget {
    margin-top: 0;
}
.contact-info-area-2 {
	padding-top: 30px;
}
.footer-widgets-wrapper {
    padding: 30px 0 30px;
}
.footer-section .container {
    max-width: 1400px;
}
.contact-info-area-2 {
    justify-content: center;
    gap: 50px;
}
.contact-info-area-2 .contact-info-items {
    padding-bottom: 20px;
}
.contact-info-area-2 .contact-info-items:not(:last-child) {
    padding-right: 50px;
	height: 90px;   
}
.contact-info-area-2 .contact-info-items .content h3 a {
    white-space: nowrap;
}
.footer-widgets-wrapper .single-footer-widget .widget-head h3 {
    font-size: 20px;
    padding-bottom: 5px;
}
.footer-section.footer-bg {
        background: radial-gradient(#356d5b, #003f2b) !important;
}
.footer-bottom {
    background-color: transparent;
}
.footer-widgets-wrapper .single-footer-widget .footer-content .social-icon {
    margin-top: 15px;
	gap: 8px;
}
.footer-widgets-wrapper .single-footer-widget .widget-head {
    margin-bottom: 0;
}
.contact-info-area-2 .contact-info-items .icon {
    min-width: 68px;
}
.footer-content {
            p {
                color: $white;
            }

            .social-icon {
                margin-top: 40px;
                gap: 15px;
                position: relative;
                z-index: 9;

                @include breakpoint (max-sm){
                    margin-top: 20px;
                }

            a {
                width: 36px;
                height: 36px;
                line-height: 36px;
                text-align: center;
                font-size: 16px;
                border-radius: 100px;
                display: block;
                color: $white;
                transition: all .4s ease-in-out;
                text-align: center;
                background-color: transparent;
                border: 1px solid rgba(227, 227, 227, .2);

                    &:hover {
                        background-color: #b4965b !important;
                        color: $white;
                        border: 1px solid transparent
                    }
                }
            }
}
.footer-widgets-wrapper .single-footer-widget .widget-head {
    margin-bottom: 20px !important;
}
/* -----------contact-form--------- */
.wpcf7-form-control{
	width: 100%;
    padding: 10px;
    border: none;
    border-radius: 10px;
    color: #000000;
    outline: none;
}
.wpcf7-textarea{
	height: 160px;
    resize: none;
}
.wpcf7-form-control-wrap{
	 position:relative;
}
.form-clt{
	 padding-bottom:20px;
}
.contact-form-items .wpcf7-not-valid-tip ,.wpcf7-response-output{
	position: absolute;
	margin: 0 !important;
    padding: 5px !important;
    border: 0 !important;
    font-size: 12px;
    line-height: 1;
    color: #Dc3232;
}
.contact-form-items input:focus{
	 color:#000;
}
.wpcf7-form.sent .wpcf7-response-output{
	color: green;
}
.back-to-top{
    background-color: #ca9e42;
	&:hover{
		 background-color:#ca9e42;
	}
}
.iti-flag{
	    background-image: url(https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.19/img/flags.png) !important; 
}

/********************* BreackPoint **************************/
@media(max-width:1199px){
	.contact-info-area-2 .contact-info-items:not(:last-child) {
		padding-right: 20px;
		border-right: 1px solid rgba(255, 255, 255, 0.2);
	}
	.contact-info-area-2 {
		gap: 20px;
	}
	.contact-info-area-2 .contact-info-items {
		gap: 10px;
		padding-bottom: 0px;
	}
	.contact-info-area-2 .contact-info-items .icon {
		width: 38px;
		min-width: 38px !important;
		height: 38px;
		line-height: 38px;
		font-size: 15px;
	}
	.contact-info-area-2 .contact-info-items .content h3 {
        font-size: 15px;
        font-weight: 400;
    }
}
@media(max-width:1024px){
	.contact-info-area-2 .contact-info-items .content p {
		font-size: 14px;
		line-height: 1;
	}
	.offcanvas__wrapper .offcanvas__content .offcanvas__contact ul li {
		font-size: 14px;
		font-weight: 400;
		line-height: 1.5;
	}
	.contact-info-area-2 {
		flex-wrap: nowrap;
        padding-top: 30px;
        padding-bottom: 20px;
    }
	.home-slider h1 {
		font-size: 50px !important;
	}
	
	    .header-1.header-3 .container-fluid {
        padding: 0 15px;
    }
    .header-1.header-3 .header-main {
        padding: 15px 0;
    }
	.home-slider .n2-ss-slider-4 [data-title="Slide 1"], .home-slider .n2-ss-slider-4 [data-title="Slide 2"], .home-slider .n2-ss-slider-4 [data-title="Slide 3"]{
		height:550px !important;
	}
}
@media(max-width:991px){
	.footer-widgets-wrapper .single-footer-widget {
		margin-bottom: 20px;
	}
	.footer-bottom .footer-wrapper {
    	padding: 12px 0;
	}
	.footer-widgets-wrapper .single-footer-widget .widget-head h3 {
		font-size: 16px;
	}
	.widget_nav_menu ul li {
		margin: 8px 0;
        font-size: 14px;
        line-height: 1.5;
	}
	.footer-widgets-wrapper {
		padding: 20px 0 0px;
	}
	.footer-wrapper p ,.footer-content p{
		font-size: 14px;
    	line-height: 1.4;
	}
}

@media(max-width:768px){	
	.project-image .wp-caption .widget-image-caption{
	position: absolute;
    bottom: 20px;
    left: 16px;
}
}
@media(max-width:767px){	
	p{
		font-size:14px !important;
	}
	.contact-info-area-2 {
		justify-content: space-between;
		padding: 20px 0;
		flex-wrap: wrap;
	}
	.contact-info-area-2 .contact-info-items{
	flex-wrap: nowrap;
	}
	.contact-info-area-2 .contact-info-items:not(:last-child) {
		height: auto;
		border: none;
	}
	 .contact-info-area-2 .contact-info-items .content h3 {
        font-size: 14px;
    }
	.contact-info-area-2 .contact-info-items .content p{
		font-size: 14px;
    	line-height: 1.4;
	}
	.footer-widgets-wrapper .single-footer-widget .footer-content .social-icon a {
		width: 32px;
		height: 32px;
		line-height: 32px;
		font-size: 14px;
	}
	.form-clt{
	    padding-bottom:10px;
    }
	.contact-form-items .wpcf7-not-valid-tip ,.wpcf7-response-output{
		padding: 0px !important;
	}
	.wpcf7-form-control{
		font-size: 14px;
        padding: 5px 10px;
	}
	.form-clt label{
		font-size: 14px;
	}
	.wpcf7-textarea{
		height:100px;
	}
	.theme-btn {
		padding: 12px 20px !important;
        font-size: 14px;

	}
	.home-slider h1 {
		font-size: 30px !important;
		line-height:1.5 !important;
	}

	.home-slider .n2-ss-slider-4 [data-title="Slide 1"], .home-slider .n2-ss-slider-4 [data-title="Slide 2"], .home-slider .n2-ss-slider-4 [data-title="Slide 3"]{
		height:550px !important;
	}
}
@media(max-width:575px){
	.footer-wrapper p {
        font-size: 12px;
        line-height: 1.4;
    }
	.home-slider h1 {
		font-size: 25px !important;
	}
	.home-slider .n2-ss-slider-4 [data-title="Slide 1"], .home-slider .n2-ss-slider-4 [data-title="Slide 2"], .home-slider .n2-ss-slider-4 [data-title="Slide 3"]{
		height:450px !important;
	}
	.home-slider .n2-ss-layer .n2-ss-section-main-content{
		        padding: 85px 20px 20px 20px !important;
	}
	.project-image .wp-caption .widget-image-caption{
    left: 18px;
}
	.slider-text  .n2-ss-item-content{
	  display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
}
